<template>
  <div
    class="icon"
    :class="{
      [`icon--size-${size}`]: !!size
    }"
  >
    <component
      :is="component"
      class="icon__icon"
    />
  </div>
</template>

<script>
export default {
  name: 'Icon',
  props: {
    type: {
      type: String,
      required: true,
    },
    size: {
      type: String,
      default: () => 'sm',
    },
  },
  computed: {
    component() {
      return require(`./assets/${this.type}.inline.svg`).default;
    },
  },
};
</script>

<style lang="scss">
  @import "./icon";
</style>
